Bug 125675 - Kernel crash - full stack
Kernel crash - full stack
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 18:13 EDT by Renato
Modified: 2013-03-06 00:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-29 13:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renato 2004-06-09 18:13:29 EDT
Description of problem:
Kernel crashes repeatedly

Version-Release number of selected component (if applicable):
2.4.9-40smp

How reproducible:
It crashes unexpectedly

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
/var/log/messages:

Jun  9 09:20:29 LINUX kernel: general protection fault: be38
Jun  9 09:20:29 LINUX kernel: Kernel 2.4.9-e.40smp
Jun  9 09:20:29 LINUX kernel: CPU:    2
Jun  9 09:20:29 LINUX kernel: EIP:    0010:[<c02032f1>]    Not tainted
Jun  9 09:20:29 LINUX kernel: EFLAGS: 00010246
Jun  9 09:20:29 LINUX kernel: EIP is at tcp_connect [kernel] 0x161 
Jun  9 09:20:29 LINUX kernel: eax: 000005b4   ebx: 0000002c   ecx: 
00000001   edx: 0000050f 
Jun  9 09:20:29 LINUX kernel: esi: d567bbb8   edi: d567bccd   ebp: 
d567ba80   esp: dd8ebe20 
Jun  9 09:20:29 LINUX kernel: ds: 0018   es: 0018   ss: 0018
Jun  9 09:20:29 LINUX kernel: Process httpd (pid: 1809, 
stackpage=dd8eb000)
Jun  9 09:20:29 LINUX kernel: Stack: dd8ebe38 d567bd0c d567bcb4 
000005b4 000005b4 c03e0900 40c7008d 0004523b
Jun  9 09:20:29 LINUX kernel:        00000000 00000000 d567ba80 
000000f0 f08d22a0 c0205a4c d567ba80 f08d22a0
Jun  9 09:20:29 LINUX kernel:        00000000 dd8ebe74 00000000 
1a7bb2c8 d567bbb8 e24be180 1a7bb2c8 02c8eac8
Jun  9 09:20:29 LINUX kernel: Call Trace: [<c0205a4c>] tcp_v4_connect 
[kernel] 0x2ec (0xdd8ebe54)
Jun  9 09:20:29 LINUX kernel: [<c0204b88>] tcp_bucket_create [kernel] 
0x18 (0xdd8ebe94)
Jun  9 09:20:29 LINUX kernel: [<c0211af2>] inet_stream_connect 
[kernel] 0x122 (0xdd8ebec8)
Jun  9 09:20:29 LINUX kernel: [<c01d7726>] sys_connect [kernel] 0x56 
(0xdd8ebee8)
Jun  9 09:20:29 LINUX kernel: [<c015ce99>] iput_free [kernel] 0x229 
(0xdd8ebf10)
Jun  9 09:20:29 LINUX kernel: [<c0159ebc>] dput [kernel] 0x1c 
(0xdd8ebf40)
Jun  9 09:20:29 LINUX kernel: [<c0146c48>] __fput [kernel] 0x68 
(0xdd8ebf64)
Jun  9 09:20:29 LINUX kernel: [<c0154ffa>] do_fcntl [kernel] 0x18a 
(0xdd8ebf7c) 
Jun  9 09:20:29 LINUX kernel: [<c01d8090>] sys_socketcall [kernel] 
0x90 (0xdd8ebf8c)
Jun  9 09:20:29 LINUX kernel: [<c015520d>] sys_fcntl64 [kernel] 0x8d 
(0xdd8ebfac)
Jun  9 09:20:29 LINUX kernel: [<c01073e3>] system_call [kernel] 0x33 
(0xdd8ebfc0)
Jun  9 09:20:29 LINUX kernel:
Jun  9 09:20:29 LINUX kernel:
Jun  9 09:20:29 LINUX kernel: Code: 0f af d8 c6 86 15 01 00 00 00 81 
fb 00 80 00 00 b8 ff 7f 00
Jun  9 09:20:29 LINUX kernel:  <0>Kernel panic: not continuing
Jun  9 09:20:29 LINUX kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000004
Jun  9 09:20:29 LINUX kernel:  printing eip:
Jun  9 09:20:29 LINUX kernel: c0131988
Jun  9 09:20:29 LINUX kernel: *pde = 00000000
Jun  9 09:20:29 LINUX kernel: Oops: 0002
Jun  9 09:20:29 LINUX kernel: Kernel 2.4.9-e.40smp
Jun  9 09:20:29 LINUX kernel: CPU:    1
Jun  9 09:20:29 LINUX kernel: EIP:    0010:[<c0131988>]    Not tainted
Jun  9 09:20:29 LINUX kernel: EFLAGS: 00010282
Jun  9 09:20:30 LINUX kernel: EIP is at do_generic_file_read [kernel] 
0x598
Jun  9 09:20:30 LINUX kernel: eax: 00000000   ebx: c1367b3c   ecx: 
c1367b3c   edx: f7ab692c
Jun  9 09:20:30 LINUX kernel: esi: c1367b3c   edi: f3359630   ebp: 
00000000   esp: c7c63ef8
Jun  9 09:20:30 LINUX kernel: ds: 0018   es: 0018   ss: 0018
Jun  9 09:20:30 LINUX kernel: Process httpd (pid: 1449, 
stackpage=c7c63000)
Jun  9 09:20:30 LINUX kernel: Stack: 000000c3 f7ab692c 00000001 
c1367b3c 00000000 f3359580 000081a4 c7c62000
Jun  9 09:20:30 LINUX kernel:        c5b73520 cdfc70a0 00000000 
4001f000 00000000 00001000 c0131c07 f1d68540
Jun  9 09:20:30 LINUX kernel:        f1d68560 c7c63f48 c0131a80 
00000000 00000000 00001000 4001f000 00000000
Jun  9 09:20:30 LINUX kernel: Call Trace: [<c0131c07>] 
generic_file_new_read [kernel] 0x67 (0xc7c63f30)
Jun  9 09:20:30 LINUX kernel: [<c0131a80>] file_read_actor [kernel] 
0x0 (0xc7c63f40)
Jun  9 09:20:30 LINUX kernel: [<c0131b9b>] generic_file_read [kernel] 
0x1b (0xc7c63f64)
Jun  9 09:20:30 LINUX kernel: [<c0145d06>] sys_read [kernel] 0x96 
(0xc7c63f7c)
Jun  9 09:20:30 LINUX kernel: [<c01073e3>] system_call [kernel] 0x33 
(0xc7c63fc0)
Jun  9 09:20:30 LINUX kernel: 
Jun  9 09:20:30 LINUX kernel:  
Jun  9 09:20:30 LINUX kernel: Code: 89 48 04 89 01 89 79 04 89 0f 89 
79 08 c6 47 1c 01 8b 5c 24 
Jun  9 09:20:30 LINUX kernel:  <0>Kernel panic: not continuing
Jun  9 09:20:30 LINUX kernel: Unable to handle kernel paging request 
at virtual address 47f3359a
Jun  9 09:20:30 LINUX kernel:  printing eip:
Jun  9 09:20:30 LINUX kernel: c013068c
Jun  9 09:20:30 LINUX kernel: *pde = 00000000
Jun  9 09:20:30 LINUX kernel: Oops: 0002
Jun  9 09:20:30 LINUX kernel: Kernel 2.4.9-e.40smp
Jun  9 09:20:30 LINUX kernel: CPU:    1
Jun  9 09:20:30 LINUX kernel: EIP:    0010:[<c013068c>]    Not tainted
Jun  9 09:20:30 LINUX kernel: EFLAGS: 00010202
Jun  9 09:20:30 LINUX kernel: EIP is at filemap_fdatawait [kernel] 
0x4c 
Jun  9 09:20:30 LINUX kernel: eax: 47f33596   ebx: f3359649   ecx: 
f7800000   edx: 01f33596
Jun  9 09:20:30 LINUX kernel: esi: f3359638   edi: f3359580   ebp: 
f6cb4460   esp: c7c63d6c
Jun  9 09:20:30 LINUX kernel: ds: 0018   es: 0018   ss: 0018
Jun  9 09:20:30 LINUX kernel: Process httpd (pid: 1449, 
stackpage=c7c63000)
Jun  9 09:20:30 LINUX kernel: Stack: 00000000 f3359580 c015b4bc 
f3359638 c011ca4b 00007a0a 00007a0a ffffffff
Jun  9 09:20:30 LINUX kernel:        00000246 00000000 00000000 
00000000 f6cb4400 00000000 c7c63ec4 00000002
Jun  9 09:20:30 LINUX kernel:        c015b8b6 f6cb4400 c7c62000 
c0147316 00000000 00000000 00000000 c0147377
Jun  9 09:20:30 LINUX kernel: Call Trace: [<c015b4bc>] sync_inodes_sb 
[kernel] 0xec (0xc7c63d74)
Jun  9 09:20:30 LINUX kernel: [<c011ca4b>] call_console_drivers 
[kernel] 0xeb (0xc7c63d7c)
Jun  9 09:20:30 LINUX kernel: [<c015b8b6>] sync_inodes [kernel] 0x36 
(0xc7c63dac)
Jun  9 09:20:30 LINUX kernel: [<c0147316>] fsync_dev [kernel] 0x36 
(0xc7c63db8)
Jun  9 09:20:30 LINUX kernel: [<c0147377>] sys_sync [kernel] 0x7 
(0xc7c63dc8)
Jun  9 09:20:30 LINUX kernel: [<c011c34d>] panic [kernel] 0x8d 
(0xc7c63dd0)
Jun  9 09:20:30 LINUX kernel: [<c0107987>] die [kernel] 0x77 
(0xc7c63dd8)
Jun  9 09:20:30 LINUX kernel: [<c02646ef>] .rodata.str1.1 [kernel] 
0x66a (0xc7c63ddc)
Jun  9 09:20:30 LINUX kernel: [<c024dbc0>] call_spurious_interrupt 
[kernel] 0x745f (0xc7c63de0)
Jun  9 09:20:30 LINUX kernel: [<c011841a>] do_page_fault [kernel] 
0x38a (0xc7c63dec)
Jun  9 09:20:30 LINUX kernel: [<c02665af>] .rodata.str1.1 [kernel] 
0x252a (0xc7c63df0)
Jun  9 09:20:30 LINUX kernel: [<c026659e>] .rodata.str1.1 [kernel] 
0x2519 (0xc7c63dfc)
Jun  9 09:20:30 LINUX kernel: [<c0265b9e>] .rodata.str1.1 [kernel] 
0x1b19 (0xc7c63e04)
Jun  9 09:20:30 LINUX kernel: [<c0131988>] do_generic_file_read 
[kernel] 0x598 (0xc7c63e08)
Jun  9 09:20:30 LINUX kernel: [<c026658e>] .rodata.str1.1 [kernel] 
0x2509 (0xc7c63e0c)
Jun  9 09:20:31 LINUX kernel: [<c0266573>] .rodata.str1.1 [kernel] 
0x24ee (0xc7c63e10)
Jun  9 09:20:31 LINUX kernel: [<c012f6f3>] __insert_vm_struct 
[kernel] 0xe3 (0xc7c63e38)
Jun  9 09:20:31 LINUX kernel: [<c01d8f7a>] sk_free [kernel] 0x6a 
(0xc7c63e58)
Jun  9 09:20:31 LINUX kernel: [<c01d9f6c>] kfree_skbmem [kernel] 0xc 
(0xc7c63e90)
Jun  9 09:20:31 LINUX kernel: [<c0118090>] do_page_fault [kernel] 0x0 
(0xc7c63eb0)
Jun  9 09:20:31 LINUX kernel: [<c01074e0>] error_code [kernel] 0x38 
(0xc7c63eb8)
Jun  9 09:20:31 LINUX kernel: [<c0131988>] do_generic_file_read 
[kernel] 0x598 (0xc7c63eec)
Jun  9 09:20:31 LINUX kernel: [<c0131c07>] generic_file_new_read 
[kernel] 0x67 (0xc7c63f30)
Jun  9 09:20:31 LINUX kernel: [<c0131a80>] file_read_actor [kernel] 
0x0 (0xc7c63f40)
Jun  9 09:20:31 LINUX kernel: [<c0131b9b>] generic_file_read [kernel] 
0x1b (0xc7c63f64)
Jun  9 09:20:31 LINUX kernel: [<c0131b9b>] generic_file_read [kernel] 
0x1b (0xc7c63f64)
Jun  9 09:20:31 LINUX kernel: [<c0145d06>] sys_read [kernel] 0x96 
(0xc7c63f7c)
Jun  9 09:20:31 LINUX kernel: [<c01073e3>] system_call [kernel] 0x33 
(0xc7c63fc0)
Jun  9 09:20:31 LINUX kernel: 
Jun  9 09:20:31 LINUX kernel: 
Jun  9 09:20:31 LINUX kernel: Code: 89 50 04 89 02 c7 43 04 00 00 00 
00 c7 03 00 00 00 00 8b 06
Jun  9 09:20:31 LINUX kernel:  <0>Kernel panic: not continuing

lsmod:

Module                  Size  Used by    Not tainted
parport_pc             18852   1  (autoclean)
lp                      8160   0  (autoclean)
parport                38112   1  (autoclean) [parport_pc lp]
e100                   58276   1 
keybdev                 2848   0  (unused)
mousedev                5792   0  (unused)
hid                    22240   0  (unused)
input                   6528   0  [keybdev mousedev hid]
usb-uhci               26916   0  (unused)
usbcore                68832   1  [hid usb-uhci]
ext3                   71232   2 
jbd                    55604   2  [ext3]
raid1                  16516   2 
aic7xxx               127168   6 
sd_mod                 13824   6 
scsi_mod              127164   2  [aic7xxx sd_mod]
Comment 1 Jason Baron 2004-06-09 19:37:54 EDT
hmmm, if i had to guess quickly, this seems like h/w errors, is that
likely? Perhaps you can try running something like memtest86 to check
your memory.
Comment 2 Jason Baron 2004-06-11 18:27:03 EDT
any updates?
Comment 3 Renato 2004-06-29 13:32:32 EDT
It was a memory error. Thanks for promptness.

Note You need to log in before you can comment on or make changes to this bug.